<%@ taglib uri="http://java.sun.com/portlet_2_0" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://liferay.com/tld/aui" prefix="aui"%>
<%@ taglib uri="http://liferay.com/tld/ui" prefix="liferay-ui"%>
<%@ taglib uri="http://liferay.com/tld/theme" prefix="liferay-theme"%>
<%@page import="com.liferay.portal.kernel.portlet.LiferayWindowState"%>
<%@page import="com.liferay.portal.kernel.servlet.SessionErrors"%>

<portlet:defineObjects />
<liferay-theme:defineObjects />

<%
	if (SessionErrors.contains(renderRequest.getPortletSession(), "experiment-form-error")) {
%>
<liferay-ui:error key="experiment-form-error"
	message="Experiment idea form submit had an issue, Please try again." />
<%
	}
%>

<portlet:actionURL var="addIdeaActionURL" windowState="maximized"
	name="addIdea">
</portlet:actionURL>

<portlet:renderURL var="maximizedState"
	windowState="<%=LiferayWindowState.MAXIMIZED.toString()%>" />
<portlet:renderURL var="normalState"
	windowState="<%=LiferayWindowState.NORMAL.toString()%>" />


<c:set var="maximised" scope="session"
	value="${renderRequest.getWindowState().toString().equalsIgnoreCase('maximized')}" />

<c:choose>
	<c:when test="${not maximised}">
		<div style="width: 100%; text-align: center; color: #3B5998;">
			<a class="btn btn-link" href="${maximizedState}"><i
				class="icon icon-share icon-3x"></i></a>
		</div>
	</c:when>
	<c:otherwise>
		<a class="btn btn-link  btn-large" href="${normalState}"><i
			class="icon icon-angle-left"></i>&nbsp;Back (Cancel)</a>
		<p style="font-size: 15px; padding: 15px;">Please give us a description about the
			dataset/method you want to insert in the catalogue. The SoBigData
			research, technical and ethical boards will evaluate your application
			before the actual upload. In particular, in case of datasets, please
			visit also our <a href="http://146.48.83.51/moodle" target="_blank">
			First aid for Responsible data Scientists</a>: we
			provide resources and information to understand and check possible
			ethical issues for your dataset.</p>
		<div
			style="width: 100%; text-align: left; padding: 10px; color: #3B5998;">
			<aui:form action="<%=addIdeaActionURL%>" method="post" name="fm">
				<aui:input name="experiment_name" label="Experiment name" value=""
					required="true" style="width:90%;" />
				<aui:input type="textarea" rows="3" name="people_institutions"
					label="Involved people and or institutions" value=""
					required="true" style="width:90%;" />

				<aui:input type="textarea" rows="10" name="abstract"
					label="Abstract, 2 pages max" value="" required="true"
					style="width:90%;" />
				<aui:input name="experiment_tags" label="Keywords (Comma separated)"
					value="" required="false" style="width:90%;" />
				<aui:button-row>
					<a class="btn" href="${normalState}"><i class="icon-remove"></i>
						Cancel</a>
					<aui:button type="submit" value="Submit" />
				</aui:button-row>
			</aui:form>
		</div>
	</c:otherwise>

</c:choose>



